POST
/payment/zibapay/order/feeAPIAuthentication:Bearer token
Authorization: Bearer <token>Security requirement: 403 CSRF Protection
Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:
X-Requested-With: XMLHttpRequestRequest body
| Field | Type | Required | Description |
|---|---|---|---|
amount | number | Required | Forwarded to TransactPay. |
currency | string | Required | Currency code (e.g. RWF, NGN, GHS). |
paymentoption | string | Required | Payment channel: 'card' or 'bank'. |
Response fields
| Field | Type | Presence | Description |
|---|---|---|---|
status | string | Always returned | success |
data.fee | number | Always returned | Calculated transaction processing fee. |
data.amount | number | Always returned | Base order amount. |
data.total | number | Always returned | Total amount including fee. |
data.currency | string | Always returned | Currency code. |
Status codes
| HTTP Status | Meaning |
|---|---|
| 200 | Fee calculated successfully. |
| 401 | No merchant session. |
| 500 | { message: "Internal server error" }. |
Notes
- HTTP 200 returns the provider fee JSON (response.data).